Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.AfterApplyGuidance

    java.lang.Object
      java.lang.Enum<Types.AfterApplyGuidance>
          com.xensource.xenapi.Types.AfterApplyGuidance

All Implemented Interfaces:
  Serializable, Comparable<Types.AfterApplyGuidance>

Enclosing class:
  Types

    public static enum Types.AfterApplyGuidance

extends Enum<Types.AfterApplyGuidance>

Enum Constant Summary
`RESTARTHOST` This patch requires the host to be restarted once applied.
`RESTARTHVM` This patch requires HVM guests to be restarted once applied.
`RESTARTPV` This patch requires PV guests to be restarted once applied.
`RESTARTXAPI` This patch requires XAPI to be restarted once applied.
`UNRECOGNIZED` The value does not belong to this enumeration

Method Summary
`String` | `toString()`
`static Types.AfterApplyGuidance` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.AfterApplyGuidance[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.AfterApplyGuidance UNRECOGNIZED

  The value does not belong to this enumeration

### RESTARTHVM

    public static final Types.AfterApplyGuidance RESTARTHVM

  This patch requires HVM guests to be restarted once applied.

### RESTARTPV

    public static final Types.AfterApplyGuidance RESTARTPV

  This patch requires PV guests to be restarted once applied.

### RESTARTHOST

    public static final Types.AfterApplyGuidance RESTARTHOST

  This patch requires the host to be restarted once applied.

### RESTARTXAPI

    public static final Types.AfterApplyGuidance RESTARTXAPI

  This patch requires XAPI to be restarted once applied.

Method Detail

### values

    public static Types.AfterApplyGuidance[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.AfterApplyGuidance c : Types.AfterApplyGuidance.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.AfterApplyGuidance valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.AfterApplyGuidance>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD